SND_CARD_REGISTER(9)

NAME
snd_card_register - register the soundcard

SYNOPSIS

int snd_card_register(struct snd_card * card);

ARGUMENTS

card
    soundcard structure

DESCRIPTION

This function registers all the devices assigned to the soundcard. Until calling this, the ALSA control interface is blocked from the external accesses. Thus, you should call this function at the end of the initialization of the card.

RETURN

Zero otherwise a negative error code if the registration failed.

COPYRIGHT